Update a setting
curl --request PATCH \
--url https://api.togai.com/settings/{setting_id_str} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "{\"USD\":\"1\"}",
"name": "Base_Currency",
"dataType": "JSON"
}
'import requests
url = "https://api.togai.com/settings/{setting_id_str}"
payload = {
"value": "{\"USD\":\"1\"}",
"name": "Base_Currency",
"dataType": "JSON"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '{"USD":"1"}', name: 'Base_Currency', dataType: 'JSON'})
};
fetch('https://api.togai.com/settings/{setting_id_str}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "UserSetting",
"value": "INR",
"entityType": "ORGANIZATION",
"entityId": "XlK5h64gND",
"namespace": "USER",
"name": "Settings Name",
"dataType": "STRING"
}{
"id": "UserSetting",
"value": "INR",
"entityType": "ORGANIZATION",
"entityId": "XlK5h64gND",
"namespace": "USER",
"name": "Settings Name",
"dataType": "STRING"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Settings
Update a setting
Update a setting
PATCH
/
settings
/
{setting_id_str}
Update a setting
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"setting.USER.success_threshold.ACCOUNT.G234DZZKBKACATFFGVGEMERFI"
Body
application/json
Payload to update setting
⌘I
